MediaWiki:Common.css:修订间差异

无编辑摘要
无编辑摘要
第93行: 第93行:
     height: 32px;
     height: 32px;
     background-size: 1536px;
     background-size: 1536px;
}
/* 文件不存在链接 */
a.new::before {
content: "点击上传图片 - ";
}
}

2022年1月28日 (五) 08:54的版本

/* 这里放置的CSS将应用于所有皮肤 */

/* ajaxpoll 投票功能相关的样式覆盖 CSS */
.ajaxpoll {
    border: 1px dashed #e1e8ed !important;
}
.ajaxpoll-hover-revoke {
	background:#fff !important;
}
.ajaxpoll-hover-vote {
	background:#fff !important;
}
.ajaxpoll-ajax {
	background:#fff !important;
	box-shadow:inset 0 -0.2rem 0 #4188F1 !important;
    border-radius: 0 !important;
}
.ajaxpoll-answer-vote {
	height:22px !important;
}
.ajaxpoll-our-vote div {
    border: 1px solid #4188F1 !important;
    border-radius: 7px !important;
}
.ajaxpoll-answer-vote div {
    background: #9EC3E6 !important;
    height: 22px !important;
    border-radius: 7px !important;
}
.ajaxpoll-answer-vote {
	border-radius: 7px !important;
}

/* Tabs 插件样式覆盖 */
.tabs-input, .tabs-close, #tabs-inputform, body.tabs-oldbrowserscript .tabs-content {
    display: none !important;
}
.tabs-tabbox > .tabs-input:checked + .tabs-label, .tabs-input-0:checked + .tabs-input-1 + .tabs-label {
    background-color: #fff;
    border-bottom: #4188f1 solid;
}
.tabs-tabbox, .tabs-togglebox {
    margin: 0;
    display: flex;
    flex-wrap: wrap;
}
.tabs-tabbox > .tabs-label {
    margin: 0;
    border-bottom: none;
    border-radius: 0;
    position: relative;
    display: inline-block;
    vertical-align: bottom;
    min-width: 10%;
    text-align: center;
    height: 40px;
    flex: 1;
}
.tabs-tabbox > label:first-of-type {
    border-radius: 7px 0 0 0;
}
.tabs-tabbox > label:last-of-type {
    border-radius: 0 7px 0 0;
}
.tabs-label {
    padding-top: 7px;
    background-color: #f5f8fa;
    border: 1px solid #e1e8ed;
    transition: background-color, color .3s;
}
.tabs-label:hover{
	background-color: #fff;
    border-bottom: #4188f1 solid;
}
.tabs-tabbox > .tabs-input+ .tabs-input+ .tabs-label {
    margin-left: 0;
}
.tabs-tabbox > .tabs-container {
    padding-top: 7px;
    border-radius: 0 0 7px 7px;
    border: 1px solid #e1e8ed;
    width: 100%;
}
.tabs-tabbox > .tabs-container > div {
	overflow-wrap: anywhere;
	width: 100%;
}

/* 方块图片 */
.block-css {
	background-image:url(/images/d/da/BlocksCSS.png);
	width: 32px;
    height: 32px;
    background-size: 1536px;
}

/* 文件不存在链接 */
a.new::before {
	content: "点击上传图片 - ";
}